#!/bin/bash

######################################################
# Manual preparation before running this...
#
# SAVE ORIGINAL /usr/local AND MOVE IT OUT OF THE WAY
# mv /usr/local /usr/local.save
#
# 
# Install Ghostscript. The non-binaries will become part of this package
# but the binary will be replaced by separately compiled binaries
# Don't install the Ghostscript fonts; the script below will supply them.
#
######################################################

# We're going to run this in the MacTeXDVD working directory...
WORK=`pwd`

if [[ ! -x /usr/local/bin/gs ]]; then
	echo "### error: Ghostscript is missing"
	exit 1
fi

echo "Removing old file tree at ${WORK}/root"
rm -rf ${WORK}/root

# Copy everything from /usr/local into our root
echo "Collecting files from /usr/local"
mkdir -p ${WORK}/root/usr
cp -pRf /usr/local ${WORK}/root/usr

rm ${WORK}/root/usr/local/bin/gs
# cp ${WORK}/Binaries/10.3--10.4/gs-noX11-tiger ${WORK}/root/usr/local/bin/gs-noX11-tiger
# cp ${WORK}/Binaries/10.3--10.4/gs-X11-tiger ${WORK}/root/usr/local/bin/gs-X11-tiger
cp ${WORK}/Binaries/10.5/gs-noX11 ${WORK}/root/usr/local/bin/gs-noX11
cp ${WORK}/Binaries/10.5/gs-X11 ${WORK}/root/usr/local/bin/gs-X11
cp ${WORK}/Binaries/10.6/gs-X11-64 ${WORK}/root/usr/local/bin/gs-X11-64

# cp -pRf ${WORK}/source/fonts ${WORK}/root/usr/local/share/ghostscript/fonts


# chmod
echo "Changing permissions"
chmod -R a+r ${WORK}/root/usr
chown -R root  ${WORK}/root/usr
chgrp -R wheel  ${WORK}/root/usr

chmod 755 ${WORK}/root/usr
chgrp wheel ${WORK}/root/usr

# Build the package!
echo "Building the Installer package"
./../PackageMaker.app/Contents/MacOS/PackageMaker  -build -p ${WORK}/Ghostscript-9.02.pkg -ds -s \
	-f ${WORK}/root -r ${WORK}/resources -i ${WORK}/Info.plist -d ${WORK}/Description.plist
# /XCode2.5/Tools/packagemaker -build -p ${WORK}/Ghostscript-9.01.pkg -ds -s \
#	-f ${WORK}/root -r ${WORK}/resources -i ${WORK}/Info.plist -d ${WORK}/Description.plist


######################################################
# FINALLY, PUT MY /usr/local BACK AS IT WAS
# mv -f /usr/local.save /usr/local
######################################################
