//
//  TeXDistributionBridge.h
//  TeXDist
//
//  Created by coder on 08/12/06.
//  Copyright 2006 Laurens'Tribune. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "TeXDistSystemVersion.h"

@interface TeXDistArchitecture : NSObject {
@private
    NSString * iVarName;
    NSMutableSet * iVarNames;
    NSString * iVarDestinationPath;
    NSString * iVarDistributionName;
    TeXDistSystemVersion * iVarMinimumSystemVersion;
    TeXDistSystemVersion * iVarMaximumSystemVersion;
}
@property (readonly,copy) NSString * name;
@property (readonly,retain) NSMutableSet * names;
@property (readonly,copy) NSString * destinationPath;
@property (readonly,copy) NSString * distributionName;
@property (readonly) NSString * localizedDescription;
@property (readwrite,retain) TeXDistSystemVersion * minimumSystemVersion;
@property (readwrite,retain) TeXDistSystemVersion * maximumSystemVersion;
- (id)initWithName:(NSString *)aName destinationPath:(NSString *)aPath distributionName:(NSString *)aDistributionName;
- (NSString *)longDescription;
- (void) addName:(NSString *)aName;
@end

